Orxonox: orxonox::packet::Chat Class Reference

# orxonox::packet::Chat Class Reference

`#include <src/network/packet/Chat.h>`

Inheritance diagram for orxonox::packet::Chat:

List of all members.

## Public Member Functions

| Chat (uint8_t *data, unsigned int clientID)
| Chat (const std::string &message, unsigned int playerID)
unsigned char * | getMessage ()
unsigned int | getMessageLength ()
unsigned int | getSize () const
bool | process ()
| ~Chat ()

## Private Attributes

unsigned int | clientID_
uint32_t | messageLength_

## Detailed Description

Author:

## Constructor & Destructor Documentation

orxonox::packet::Chat::Chat | ( | const std::string & | message,
|  | unsigned int | playerID |
| ) |  |  |

References _MESSAGE, _MESSAGELENGTH, _PACKETID, orxonox::packet::_PLAYERID, orxonox::packet::Type::Chat, orxonox::packet::Packet::data_, orxonox::packet::Packet::flags_, getSize(), messageLength_, and PACKET_FLAGS_CHAT.

orxonox::packet::Chat::Chat | ( | uint8_t * | data,
|  | unsigned int | clientID |
| ) |  |  |

References _MESSAGELENGTH, and messageLength_.

orxonox::packet::Chat::~Chat | ( |  | ) |

## Member Function Documentation

unsigned char * orxonox::packet::Chat::getMessage | ( |  | ) |

References _MESSAGE, and orxonox::packet::Packet::data_.

unsigned int orxonox::packet::Chat::getMessageLength | ( |  | ) | `[inline]`

unsigned int orxonox::packet::Chat::getSize | ( |  | ) | const`[inline, virtual]`

Implements orxonox::packet::Packet.

References _MESSAGE, and messageLength_.

Referenced by Chat().

bool orxonox::packet::Chat::process | ( |  | ) | `[virtual]`

Implements orxonox::packet::Packet.

References _MESSAGE, orxonox::packet::_PLAYERID, orxonox::packet::Packet::data_, and orxonox::Host::incomingChat().

## Member Data Documentation

unsigned int orxonox::packet::Chat::clientID_`[private]`

Reimplemented from orxonox::packet::Packet.

uint32_t orxonox::packet::Chat::messageLength_`[private]`

Referenced by Chat(), and getSize().

The documentation for this class was generated from the following files:

- src/network/packet/Chat.h
- src/network/packet/Chat.cc